Package control

## Class Controller

- java.lang.Object
- - control.Controller

-     public class Controller
      extends Object

  Die Klasse Controller stellt den Controller des Hauptfensters / Menu dar.
  Version:
    v6.7 (9.12.2020)
  Author:
    Thomas Schaller

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Controller()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `(package private) void` | `graphLaden​(String dateiname)` |
    `void` | `initialize()` |
    `(package private) void` | `mBearbeiten​(javafx.scene.input.MouseEvent event)` |
    `void` | `mBeenden​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mChangeHilfefenster​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mChangeOptionBild​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mChangeOptionKantengewichte​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mChangeOptionKnoteninfo​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mChangeOptionKnotenname​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mChangeOptionKnotenwerte​(javafx.event.ActionEvent event)` |
    `(package private) void` | `menuChangeAnsicht()` |
    `(package private) void` | `mExperimentiereAuswahl​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mExperimentiereKanten​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mExperimentiereKnoten​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mNeuerGraph​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mOeffnen​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mResetAlles​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mResetBesucht​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mResetFarbe​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mResetGeloescht​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mResetKantenmarkierung​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mResetMarkierung​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mResetWert​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mSchliessen​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mSimuliere​(javafx.scene.input.MouseEvent event)` |
    `(package private) void` | `mSpeichern​(javafx.event.ActionEvent event)` |
    `(package private) void` | `mUeber​(javafx.event.ActionEvent event)` |
    `(package private) void` | `schliesseTabs()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Controller

          public Controller()

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### mNeuerGraph

          void mNeuerGraph​(javafx.event.ActionEvent event)

    - #### schliesseTabs

          void schliesseTabs()

    - #### mBearbeiten

          void mBearbeiten​(javafx.scene.input.MouseEvent event)

    - #### mSimuliere

          void mSimuliere​(javafx.scene.input.MouseEvent event)

    - #### mExperimentiereKanten

          void mExperimentiereKanten​(javafx.event.ActionEvent event)

    - #### mExperimentiereKnoten

          void mExperimentiereKnoten​(javafx.event.ActionEvent event)

    - #### mExperimentiereAuswahl

          void mExperimentiereAuswahl​(javafx.event.ActionEvent event)

    - #### mBeenden

          public void mBeenden​(javafx.event.ActionEvent event)

    - #### menuChangeAnsicht

          void menuChangeAnsicht()

    - #### mChangeOptionBild

          void mChangeOptionBild​(javafx.event.ActionEvent event)

    - #### mChangeOptionKantengewichte

          void mChangeOptionKantengewichte​(javafx.event.ActionEvent event)

    - #### mChangeOptionKnoteninfo

          void mChangeOptionKnoteninfo​(javafx.event.ActionEvent event)

    - #### mChangeOptionKnotenname

          void mChangeOptionKnotenname​(javafx.event.ActionEvent event)

    - #### mChangeOptionKnotenwerte

          void mChangeOptionKnotenwerte​(javafx.event.ActionEvent event)

    - #### mChangeHilfefenster

          void mChangeHilfefenster​(javafx.event.ActionEvent event)

    - #### mOeffnen

          void mOeffnen​(javafx.event.ActionEvent event)

    - #### graphLaden

          void graphLaden​(String dateiname)

    - #### mSchliessen

          void mSchliessen​(javafx.event.ActionEvent event)

    - #### mSpeichern

          void mSpeichern​(javafx.event.ActionEvent event)

    - #### mUeber

          void mUeber​(javafx.event.ActionEvent event)

    - #### mResetAlles

          void mResetAlles​(javafx.event.ActionEvent event)

    - #### mResetBesucht

          void mResetBesucht​(javafx.event.ActionEvent event)

    - #### mResetFarbe

          void mResetFarbe​(javafx.event.ActionEvent event)

    - #### mResetGeloescht

          void mResetGeloescht​(javafx.event.ActionEvent event)

    - #### mResetKantenmarkierung

          void mResetKantenmarkierung​(javafx.event.ActionEvent event)

    - #### mResetMarkierung

          void mResetMarkierung​(javafx.event.ActionEvent event)

    - #### mResetWert

          void mResetWert​(javafx.event.ActionEvent event)